### Function

# Gimp enum_set_value_descriptions

since: 2.2

#### Declaration [src]

    void
    gimp_enum_set_value_descriptions (
      GType enum_type,
      const GimpEnumDesc* descriptions
    )

#### Description [src]

Sets the array of human readable and translatable descriptions and help texts for enum values.

Available since: 2.2

#### Parameters

`enum_type`

  Type: `GType`

  A `GType`.

`descriptions`

  Type: `GimpEnumDesc`

  A `NULL` terminated constant static array of `GimpEnumDesc`.

  The data is owned by the caller of the function.